ErrorCounter (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast
Class ErrorCounter

    java.lang.Object
      org.hibernate.hql.internal.ast.ErrorCounter

All Implemented Interfaces:
  ErrorReporter, ParseErrorHandler

    public class ErrorCounter

extends Object
implements ParseErrorHandler

An error handler that counts parsing errors and warnings.

Constructor Summary
`ErrorCounter()`

Method Summary
`int` | `getErrorCount()`
`void` | `reportError(antlr.RecognitionException e)`
`void` | `reportError(String message)`
`void` | `reportWarning(String message)`
`void` | `throwQueryException()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorCounter

    public ErrorCounter()

Method Detail

### reportError

    public void reportError(antlr.RecognitionException e)

  Specified by:
    `reportError` in interface `ErrorReporter`

### reportError

    public void reportError(String message)

  Specified by:
    `reportError` in interface `ErrorReporter`

### getErrorCount

    public int getErrorCount()

  Specified by:
    `getErrorCount` in interface `ParseErrorHandler`

### reportWarning

    public void reportWarning(String message)

  Specified by:
    `reportWarning` in interface `ErrorReporter`

### throwQueryException

    public void throwQueryException()
                             throws QueryException

  Specified by:
    `throwQueryException` in interface `ParseErrorHandler`
  Throws:
    `QueryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.